%global momorel 2

Name:           perl-Test-WWW-Mechanize
Version:        1.24
Release:        %{momorel}m%{?dist}
Summary:        Test::WWW::Mechanize Perl module
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-WWW-Mechanize/
Source0:	http://www.cpan.org/modules/by-module/Test/Test-WWW-Mechanize-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Carp-Assert-More
BuildRequires:  perl-HTTP-Server-Simple >= 0.07
BuildRequires:  perl-Test-LongString >= 0.07
BuildRequires:  perl-URI
BuildRequires:  perl-WWW-Mechanize >= 1.00
Requires:       perl-Carp-Assert-More
Requires:       perl-HTTP-Server-Simple >= 0.07
Requires:       perl-Test-LongString >= 0.07
Requires:       perl-URI
Requires:       perl-WWW-Mechanize >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The README is used to introduce the module and provide instructions on how
to install the module, any machine dependencies it may have (for example C
compilers and installed libraries) and any other information that should be
provided before the module is installed.

%prep
%setup -q -n Test-WWW-Mechanize-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/WWW/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.24-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.24-1m)
- update to 1.24

* Sat Nov 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.22-1m)
- update to 1.22

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.20-2m)
- rebuild against gcc43

* Fri Mar 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Fri Dec  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.18-1m)
- update to 1.18

* Tue Oct 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14-1m)
- update to 1.14

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-2m)
- use vendor

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
